tigase.jaxmpp.gwt.client.connectors

## Class BoshWorker

- java.lang.Object
- - tigase.jaxmpp.gwt.client.connectors.BoshWorker

- All Implemented Interfaces:
    com.google.gwt.core.client.Scheduler.ScheduledCommand, Runnable, BoshRequest

      public abstract class BoshWorker
      extends Object
      implements BoshRequest, com.google.gwt.core.client.Scheduler.ScheduledCommand

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoshWorker(BoshConnector connector, com.google.gwt.http.client.RequestBuilder requestBuilder, SessionObject sessionObject, Element element)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendToBody(Element stanza)`
    `boolean` | `equals(Object obj)`
    `void` | `execute()`
    `String` | `getRid()` Returns current response ID.
    `int` | `hashCode()`
    `protected abstract void` | `onError(int responseCode, String data, Element response, Throwable caught)`
    `protected abstract void` | `onSuccess(int responseCode, String data, Element response)`
    `protected abstract void` | `onTerminate(int responseCode, String data, Element response)`
    `void` | `run()`
    `void` | `terminate()` Terminates request.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BoshWorker

          public BoshWorker(BoshConnector connector,
                            com.google.gwt.http.client.RequestBuilder requestBuilder,
                            SessionObject sessionObject,
                            Element element)
                     throws XMLException

      Throws:
        `XMLException`

  - ### Method Detail

    - #### appendToBody

          public void appendToBody(Element stanza)
                            throws XMLException

      Throws:
        `XMLException`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### execute

          public void execute()

      Specified by:
        `execute` in interface `com.google.gwt.core.client.Scheduler.ScheduledCommand`

    - #### getRid

          public String getRid()

      Description copied from interface: `BoshRequest`
      Returns current response ID.
      Specified by:
        `getRid` in interface `BoshRequest`
      Returns:
        response id.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### onError

          protected abstract void onError(int responseCode,
                                          String data,
                                          Element response,
                                          Throwable caught)
                                   throws JaxmppException

      Throws:
        `JaxmppException`

    - #### onSuccess

          protected abstract void onSuccess(int responseCode,
                                            String data,
                                            Element response)
                                     throws JaxmppException

      Throws:
        `JaxmppException`

    - #### onTerminate

          protected abstract void onTerminate(int responseCode,
                                              String data,
                                              Element response)
                                       throws JaxmppException

      Throws:
        `JaxmppException`

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### terminate

          public void terminate()

      Description copied from interface: `BoshRequest`
      Terminates request.
      Specified by:
        `terminate` in interface `BoshRequest`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 Tigase. All rights reserved.